Skip to main content
PATCH
/
v1
/
smart_fields
/
{id}
Update a smart field
curl --request PATCH \
  --url https://api.scribe-mail.com/v1/smart_fields/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "smart_field": {
    "label": "<string>",
    "required": true,
    "integration_id": "<string>",
    "integration_attribute": "<string>"
  }
}
'
import requests

url = "https://api.scribe-mail.com/v1/smart_fields/{id}"

payload = { "smart_field": {
"label": "<string>",
"required": True,
"integration_id": "<string>",
"integration_attribute": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
smart_field: {
label: '<string>',
required: true,
integration_id: '<string>',
integration_attribute: '<string>'
}
})
};

fetch('https://api.scribe-mail.com/v1/smart_fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "label": "<string>",
    "slug": "<string>",
    "required": true,
    "default": true,
    "position": 123,
    "integration_id": "<string>",
    "integration_attribute": "<string>",
    "used_in_signatures": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"dashboard_url": "<string>",
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
smart_field
object
required

Response

Updated

data
object
required